#include <ESP8266WiFi.h>
#include <WiFiClient.h>
#include <ESP8266WebServer.h>
#include <WebSocketsServer.h>
#include <Hash.h>

void loopWifi();
void setupWifi();
void sendScript(String _server);
void sendSlider(String _name, int _id);
void handleRoot();
boolean captivePortal();
String IpAddress2String(const IPAddress& ipAddress);
String getUniqueId();
void webSocketEvent(uint8_t num, WStype_t type, uint8_t * payload, size_t length);
boolean isIp(String str);
String toStringIp(IPAddress ip);

WebSocketsServer webSocket = WebSocketsServer(81);

int sliderValues[5] ;

char ssid[32] = "";
char password[32] = "";

String name = "RGB-";

void setup() {
  pinMode(D1, OUTPUT);
  pinMode(D2, OUTPUT);
  pinMode(D3, OUTPUT);
  delay(1000);
  Serial.begin(115200);
  Serial.println();

  setupWifi();
}

void loop() {
  loopWifi();
  analogWrite(D1, sliderValues[0]);
  analogWrite(D2, sliderValues[1]);
  analogWrite(D3, sliderValues[2]);  
}

